<script lang="ts" setup>
import type { BaseCTA, BaseVideo } from '@/types/base';

interface TeamOpsVideoSpotlight extends BaseCTA {
  video: BaseVideo;
}

defineProps<TeamOpsVideoSpotlight>();

const dataAOS = ref({
  animation: 'fade-up',
  duration: 1600,
  offset: 200,
});
</script>
<template>
  <section class="team-ops-video-spotlight">
    <SlpContainer>
      <div
        class="team-ops-video-spotlight__title"
        :data-aos="dataAOS.animation"
        :data-aos-duration="dataAOS.duration"
        :data-aos-offset="dataAOS.offset"
      >
        <SlpTypography tag="h2" variant="heading2-bold"> {{ title }} </SlpTypography>
      </div>
      <SlpRow>
        <SlpColumn :cols="5" size="lg" class="team-ops-video-spotlight__col">
          <div :data-aos="dataAOS.animation" :data-aos-duration="dataAOS.duration" :data-aos-offset="dataAOS.offset">
            <SlpTypography tag="p" variant="heading5-bold"> {{ subTitle }} </SlpTypography>
            <SlpTypography v-if="description" tag="div" variant="body1" class="slp-pt-24">
              <div class="team-ops-video-spotlight__description" v-html="$md.render(description)" />
            </SlpTypography>
            <SlpButton
              v-if="link"
              :href="link.config.href"
              variant="secondary"
              :data-ga-name="link.config.dataGaName"
              :data-ga-location="link.config.dataGaLocation"
              class="team-ops-video-spotlight__button slp-mt-24"
            >
              {{ link.text }}
            </SlpButton>
          </div>
        </SlpColumn>
        <SlpColumn :cols="1" />
        <SlpColumn :cols="6" class="team-ops-video-spotlight__col" size="lg">
          <div
            class="team-ops-video-spotlight__video"
            :data-aos="dataAOS.animation"
            :data-aos-duration="dataAOS.duration"
            :data-aos-offset="dataAOS.offset"
          >
            <CommonVideo :video-src="video.config.url" />
          </div>
        </SlpColumn>
      </SlpRow>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.team-ops-video-spotlight {
  background: #6d33cc;
  color: $color-primary-300;
  padding: $spacing-48 0;

  &__title {
    padding-bottom: $spacing-48;
    @media (min-width: $breakpoint-md) {
      padding-bottom: $spacing-64;
    }
  }

  &__col {
    @media (max-width: $breakpoint-lg) {
      flex: 1 1 100%;
      width: 100%;
    }
  }

  @media (min-width: $breakpoint-md) {
    padding: $spacing-96 0;
  }

  &__video {
    background: $color-primary-300;
    border-radius: $spacing-8;
    margin-top: $spacing-48;
    width: 100%;
    position: relative;
    overflow: hidden;
    line-height: 0;
    @media (min-width: $breakpoint-lg) {
      margin-top: 0;
    }

    iframe {
      position: absolute;
      top: 0;
      left: 0;
      width: 100%;
      height: 100%;
      border: none;
    }
  }

  &__button {
    &:hover,
    &:focus {
      background: $color-primary-200;
      color: $color-primary-300;
    }
  }

  &__description {
    &:deep(p) {
      margin: $spacing-16 0;
    }
  }
}
</style>
